.TH Basis "" "" "set convergence study and more info on flows, works, and tasks"
.SH Background
.PP
This lesson focuses on the convergence study on the completeness of the
plane wave (PW) basis set.
Plane waves are inherently well suited to capture the periodic nature of
crystalline solids.
In addition, a PW basis set has the advantage that it introduces only
one convergence parameter, the kinetic energy cutoff (ecut).
.PP
The sharp features of the wavefunctions near the nucleus are however
problematic for PWs.
Describing these features would require very high energy cutoff
energies.
For this reason PW codes use pseudo\-potentials in order to facilitate
the convergence of the results.
A pseudopotential replaces the singular coulomb potential of the nucleus
and the core electrons by something smoother inside the so\-called
pseudization region.
The pseudopotential connects smoothly to the real all\-electron
potential outside the pseudization region.
.PP
Note that different pseudo potentials usually require a different cutoff
energy to be converged.
In general norm\-conserving pseudos require a larger cut\-off than
ultra\-soft pseudos or Projector Augmented Wave \[aq]pseudos\[aq].
Moreover two pseudos of the same type for the same element may require
different cutoff energies as well.
Pseudos with small pseudization radius usually require larger cutoffs
than pseudos with large pseudization radius.
.SH The related abinit variables
.RS
.IP \[bu] 2
ecut (cutoff energy)
.IP \[bu] 2
pawecutdg (additional variable for the double\-grid used in PAW)
.IP \[bu] 2
ecutsm (smoothing of the kinetic energy)
.RE
.PP
The full description, directly from the abinit documentation, is
available via the shell command:
.RS
.IP
.nf
\f[C]
abidoc.py\ man\ inputvariable
\f[]
.fi
.RE
.PP
that prints the official description of inputvariable.
.SH The course of this lesson
.PP
As in the previous lesson, executing the python script creates the
folder structure with the required input files.
.PP
One of the standard thing to look for to be converged in the total
energy.
We did that already in the previous lesson.
This time have a look at some of the other important properties.
Look for instance at the convergence rate of the forces, stress\-tensor
or the energies of the KS\-orbitals.
.SH Exercises
.PP
Edit the input files to run the same convergence study for a different
k\-point mesh.
Best to start small.
