.TH $G_0W_0$ "" "" "band structure with an energy\-dependent scissors operator"
.SH Background
.PP
Standard functionals (LDA and GGA), systematically underestimate band
gaps, giving values that are about 30\-40% smaller than experimental
data.
The inability of standard Kohn\-Sham (KS) theory to give band gaps close
to experiment is often referred to as the \f[B]band\-gap problem\f[].
From a theoretical point of view this is not surprising since KS
eigenvalues are not supposed to give the correct band energies.
The band structure of a crystal is rigorously defined as the energies
needed to add or subtract electrons from the many\-body system which, in
turn, are related to the difference between total energies of many\-body
states differing by one electron.
.PP
An alternative, more traditional, approach to the study of
exchange\-correlation effects in many\-body systems is provided by
Many\-Body Perturbation Theory (MBPT) which defines a rigorous approach
to the description of excited\-state properties, based on the
Green\[aq]s function formalism.
In this lesson, we discuss how to use the MBPT part of ABINIT to compute
the band\-structure of silicon within the so\-called $G_0W_0$
approximation.
.PP
For a very brief introduction to the many\-body formalism, see
MBPTNNOTES (http://www.abinit.org/documentation/helpfiles/for-v7.10/tutorial/theory_mbt.html).
.SH Related ABINIT variables
.RS
.IP \[bu] 2
optdriver
.IP \[bu] 2
ecuteps
.IP \[bu] 2
ecutsigx
.IP \[bu] 2
nband
.IP \[bu] 2
gwcalctyp
.IP \[bu] 2
gw_qprange
.IP \[bu] 2
all gw** variables
.RE
.PP
The full description, directly from the abinit documentation, is
available via the following shell command:
.RS
.IP
.nf
\f[C]
abidoc.py\ man\ inputvariable
\f[]
.fi
.RE
.PP
This command will print the official description of inputvariable.
.SH The course of this lesson
