.TH Relaxation "" "" "of the unit cell with two different techniques"
.SH Background
.PP
In this lesson we discuss two different methods to find the equilibrium
structure of a system.
In the first method, we use the GS part of Abinit to calculate the total
energy of silicon for different volumes and then we fit the energy vs
the volume with a model for the equation of state (EOS).
The fit provides the optimal volume (i.e.
the volume for which the total energy is minimal), as well as the bulk
modulus (the \[aq]compressibility\[aq] of the system).
Note that this approach is only applicable to isotropic materials
without any degree of freedom for the atomic positions.
Indeed, the equation of state is obtained by performing a homogeneous
compressions/dilatation of the initial Bravais lattice while keeping the
atoms fixed in the initial high\-symmetry positions.
.PP
In the second example, we find the equilibrium configuration of GaN.
In this case, the approach used for computing the EOS of silicon is not
applicable because, one should optimize both the lattice parameters as
well the distance between Ga and N.
For this reason, we employ the relaxation algorithms implemented in
Abinit (ionmov and optcell) in which the forces and the stresses
obtained at the end of the SCF cycle are used to find the minimum energy
configuration.
.SH The related abinit variables
.RS
.IP \[bu] 2
ionmov
.IP \[bu] 2
optcell
.IP \[bu] 2
dilatmx
.IP \[bu] 2
ecutsm
.IP \[bu] 2
ntime
.IP \[bu] 2
tolmxf
.IP \[bu] 2
tolrff
.RE
.PP
The full description of the variables, directly from the abinit
documentation is available via the shell command:
.RS
.IP
.nf
\f[C]
abidoc.py\ man\ inputvariable
\f[]
.fi
.RE
.PP
that prints the official description of inputvariable.
.PP
As in the previous lessons, executing the python script creates the
folder structure with the input files for this lesson.
.PP
For the flow_si_relax folder, look in particular to the changes in the
unit cell (rprim) in the input files and the corresponding change in the
unit cell volume (ucvol), total energy (etotal) and stresses (strten) in
the output file.
For the flow_gan_relax, observe in the output files how the automatic
relaxation takes place.
At each step of the relaxation, a full SCF\-cycle is performed and
forces and the stress are computed.
The ions are then moved according to the forces and a new SCF\-cycle is
started.
The procedure is interated until convergence is achieved.
This is the reason why there are two stopping criteria for structural
relaxation: tolrff or tolvrs are used for the SCF cycle whereas tolmxf
govers the relaxation algorithm.
.SH Exercises
.PP
Edit the input files to run the same jobs with different values of ecut.
.PP
You can also try to change the stopping criterion to see if this affects
the final results.
.PP
Finally, try to generate the input file for silicon, and try to guess
why setting the stopping criterion on the forces won\[aq]t work in this
case!
